> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.relyt.cn/llms.txt
> Use this file to discover all available pages before exploring further.

> 获取数据集的基本信息，包括关键词、描述以及预生成的问题。

# Get dataset overview

**请求示例：**

<CodeGroup>
  ```curl cURL theme={null}
  curl --request GET \
    --url https://app.ai.relyt.cn/app/api/v2/team/datasets/{id}/overview?user_id=tmm-dafasdfasdfasdf \
    --header 'x-pd-api-key: <api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://app.ai.relyt.cn/app/api/v2/team/datasets/{id}/overview?user_id=tmm-dafasdfasdfasdf"

  headers = {"x-pd-api-key": "<api-key>"}

  response = requests.request("GET", url, headers=headers)

  print(response.text)
  ```
</CodeGroup>

**返回示例：**

```json 200 theme={null}
{
  "code": {
    "code": 0
  },
  "data": {
    "id": "dset-cm5axptyyxxx298",
    "name": "sales_indicators_2024",
    "description": "A dataset comprising 373 travel bookings with 15 attributes, offering insights into booking patterns, pricing strategies, and more",
    "summary": "This dataset contains 373 travel bookings with 15 attributes, enabling analysis of booking trends, pricing strategies, and travel agency dynamics.",
    "exploration_questions": [
      "How does the booking price trend over time based on the BookingTimestamp?",
      "How does the average booking price change with respect to the TravelDate?",
      "Are there any significant outliers in the booking prices, and what might be causing them?",
      "How does the average price vary between one-way and round-trip bookings?"
    ],
    "keywords": [
      "Travel Bookings",
      "Booking Trends",
      "Travel Agencies"
    ]
  }
}
```


## OpenAPI

````yaml get /v2/team/datasets/{id}/overview
openapi: 3.0.1
info:
  title: Team Open API Version 2 中文版本
  description: ''
  version: 1.0.0
servers:
  - url: https://app.ai.relyt.cn/app/api
    description: 体验环境
security:
  - apikey-header-x-pd-api-key: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v2/team/datasets/{id}/overview:
    get:
      tags:
        - Dataset
      summary: Get dataset overview
      description: 获取数据集的基本信息，包括关键词、描述以及预生成的问题。
      parameters:
        - name: id
          in: path
          description: >-
            目标数据集的 ID。


            如需查询您有访问权限的数据集列表，请调用 [GET
            /v2/team/datasets](/api-reference/list-datasets) 接口。
          required: true
          schema:
            type: string
        - name: user_id
          in: query
          description: 用户 ID，即您在组织中的唯一身份标识。
          required: true
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: >-
            您本地系统中设置的 Trace ID，至多支持 128 个字符。当请求发生错误时，可以将此 ID 提供给 Relyt AI
            团队，协助进行故障排查。
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    $ref: 9264eadf-a387-40d2-bc54-0e36081e53a7
                    required:
                      - code
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: 数据集 ID，即数据集在项目中的唯一标识。
                      name:
                        type: string
                        description: 数据集名称。
                      description:
                        type: string
                        description: 数据集描述。
                      summary:
                        type: string
                        description: 数据集中数据源的概述。
                      exploration_questions:
                        type: array
                        items:
                          type: string
                        description: Relyt AI 预生成的问题，可以帮助更好地探索数据集中的数据。
                      keywords:
                        type: array
                        items:
                          type: string
                        description: 数据集关键词，可以帮助更好地理解数据集内容。
                    required:
                      - id
                      - name
                      - description
                      - summary
                      - exploration_questions
                      - keywords
                    description: 数据集对象。
                required:
                  - code
                  - data
              examples:
                '1':
                  summary: success example
                  value:
                    code:
                      code: 0
                    data:
                      id: dset-cm5axptyyxxx298
                      name: sales_indicators_2024
                      description: >-
                        A dataset comprising 373 travel bookings with 15
                        attributes, offering insights into booking patterns,
                        pricing strategies, and more
                      summary: >-
                        This dataset contains 373 travel bookings with 15
                        attributes, enabling analysis of booking trends, pricing
                        strategies, and travel agency dynamics.
                      exploration_questions:
                        - >-
                          How does the booking price trend over time based on
                          the BookingTimestamp?
                        - >-
                          How does the average booking price change with respect
                          to the TravelDate?
                        - >-
                          Are there any significant outliers in the booking
                          prices, and what might be causing them?
                        - >-
                          How does the average price vary between one-way and
                          round-trip bookings?
                      keywords:
                        - Travel Bookings
                        - Booking Trends
                        - Travel Agencies
          headers: {}
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````